using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Management;
namespace Ex09_2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ManagementObjectSearcher mys = new ManagementObjectSearcher("Select * from Win32_NetworkAdapterConfiguration");
            foreach (ManagementObject x in mys.Get())
            {
                if (Convert.ToBoolean(x["ipEnabled"]) == true)
                {
                    textBox1.Text = Convert.ToString(x["MACAddress"]);
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
            Application.Exit();
        }
    }
}
